Loading...
Searching...
No Matches
Dune::Amg::GalerkinProduct< SequentialInformation > Class Reference
Iterative Solvers Template Library (ISTL) » Iterative Solvers » Preconditioners » Parallel Algebraic Multigrid

`#include <dune/istl/paamg/galerkin.hh>`

Inheritance diagram for Dune::Amg::GalerkinProduct< SequentialInformation >:

## Public Types

typedef SequentialInformation | ParallelInformation

## Public Member Functions

template<class G, class V, class Set>
G::MutableMatrix * | build (G &fineGraph, V &visitedMap, const SequentialInformation &pinfo, const AggregatesMap< typename G::VertexDescriptor > &aggregates, const typename G::Matrix::size_type &size, const Set &copy)
| Calculates the coarse matrix via a Galerkin product.
void | calculate (const M &fine, const AggregatesMap< V > &aggregates, M &coarse, const I &pinfo, const O &copy)
| Calculate the galerkin product.
void | calculate (const M &fine, const AggregatesMap< V > &aggregates, M &coarse, const P &pinfo, const O &copy)

## Member Typedef Documentation

## ParallelInformation

typedef SequentialInformation Dune::Amg::GalerkinProduct< SequentialInformation >::ParallelInformation

## Member Function Documentation

## calculate() [1/2]

void Dune::Amg::BaseGalerkinProduct::calculate | ( | const M & | fine,
|  | const AggregatesMap< V > & | aggregates,
|  | M & | coarse,
|  | const I & | pinfo,
|  | const O & | copy )

Calculate the galerkin product.

Parameters

  fine | The fine matrix.
  aggregates | The aggregate mapping.
  coarse | The coarse Matrix.
  pinfo | Parallel information about the fine level.
  copy | The attribute set identifying the copy nodes of the graph.

## calculate() [2/2]

void Dune::Amg::BaseGalerkinProduct::calculate | ( | const M & | fine,
|  | const AggregatesMap< V > & | aggregates,
|  | M & | coarse,
|  | const P & | pinfo,
|  | const O & | copy )

The documentation for this class was generated from the following file:

- galerkin.hh